AutoCAD Inventor :: How To Position Sketched Symbols
Jul 19, 2012
I have a lot of small parts to generate and I need to put them on A0 sheets. I have created customer borders (4 pane, 6 pane & so on), so that I can place multiple parts on one sheet.
I have several bits of information that is unique to each part, but must be indicated, so I have created sketched symbols that has model properties in. Effectively each pane on the sheet has it's own "mini title block" that displays the information unique to each part.
I also have assemblies, so therefore I need to display the BOM. I find that the BOM for the assembly "snaps" neatly into the corner of each pane, but I don't seem to be able to get the same effect with the sketched symbols. The positioning of the sketched symbols look "tatty" and once it has a leader attached (which I switch to not visible), the sketch symbol seems to snap to some sort of invisible grid.
Ultimately, I will be delivering the drawings in AutoCAD format so it will be possible to zoom up and see these mis-alignments very clearly. That makes things look very unprofessional.
Any way to position the sketched symbols neatly.
Windows 7 Pro (X64)
Intel(R) core (TM) i7-2600 CPU @ 3.40GHz
16.0 GB RAM
Nvidia Quadro 600
Autodesk Inventor 2013 Professional Ultimate Design Suite
1) Is it possible to add a pull down menu in a prompted sketched symbol to select predetermined values instead of typing them ourselves? I would like for the symbol to behavior to be similar to a cad dynamic block.
2) I'm looking to know if we can add simple rules in prompted entries? What I wish to accomplish is to have a default value that fits our need 80% of the time and for exceptions we can write in a different value when prompted. I know we can edit text after inserting symbols but we are rushed quite often and manual editing can be forgotten.
I am having a small issue with getting the correct text from a sketched symbol in an IDW. I can populate the dialog box OK when i hard code the Sketched Symbol definition. The issue i have is the sketched symbol may have been inserted 3, 5 or more times and i need to extract the text from the last inserted definition. So by setting a simple counter i can count how many time the Sketched Symbol has been inserted and then by running the code below i can read the text.
All fine so far but and here is the real issue if ther have been other sketched symbols inserted in to the IDW the code above doesn't work.
What i need is a single line to replace the first line in the above code that will allow me to define the sketched symbols name and then by using the .item(oCount) (as above)to say this one extract the text from that sketched symbol.
I am currently working on creating new symbols. Now I want to keep the look of the symbol (see attached) but I want all the text to be automated as the text is currently "prompted entry".
Now when I go into the edit the text within the symbol sketch, I need the "view label properties" from the drop down menu but its not there! Is there a way that I can get the "view label properties" into the drop down menu??? What I am after is to attach this symbol to a view and the symbol will automatically show the name of the view and the scale.
OR........ If there is any way that I can get default view label to look like my symbol?
I have several sketched symbols that I use with references to various properties embedded in them. Once of these is a sketch block that picks up the part number, description and so on. In order to get this to work, I place the sketch block and drag the leader to point to the part.
For assemblies the process clearly needs to be different. If I have various parts and assemblies shown on one sheet, how can I use a sketched symbol to pick up the ASSEMBLY number from one of the view.
Parts are fine (as explained above), but when I place a sketched symbol and do not attach the leader it picks up on the part number of the first component / assembly placed on the sheet.
I would like to have a sketched symbol reference a specific assembly, and list all its properties (i.e. part number, description, mass and so on).
Is there a way to do this? Please consider there could be more than one view on the sheet that has an assembly (or a part for that matter). I think I am looking for a way to link the sketched symbol to the assembly or specific view.
Windows 7 Pro (X64) Intel(R) core (TM) i7-2600 CPU @ 3.40GHz 16.0 GB RAM Nvidia Quadro 600 Autodesk Inventor 2013 Professional Ultimate Design Suite
I'm trying to create a macro which will attach a custom sketched symbol with a leader to some specific parts in a view. By modifying some sample code I managed to create a macro which will attach the sketched symbol to the currently selected edge (see code below). However I would like to select the view and let the code cycle trough all the parts and check the filename or a custom iProperty. If the filename has a certain pattern or a specific custom iProperty exists it should add the sketched symbol. I don't really see how I should do this, I can get a reference to the selected view and as far as I can see I can use the referencedfiledescripter to open the assembly and cycle through the occurences. However I don't see how I can use this to add the sketched symbol to the occurence in the drawing view.
' Set a reference to the drawing document. ' This assumes a drawing document is active. Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument ' Set a reference to the active sheet. Dim oActiveSheet As Sheet Set oActiveSheet = oDrawDoc.ActiveSheet ' Set a reference to the drawing curve segment. ' This assumes that a drwaing curve is selected. [Code] ......
When working in a drawing, I don't see a selection for weld symbols in Annotate - Symbols. Are they not available in LT? Is there something I need to do to activate them?
I have a rectangle (Named "Data") that falls down the stage on a loop. This is all contained within the symbol itself. The stage has this code in it:
var randX; var randShouldWait; var randSpeed;
[Code].....
This creates a nice looking randomized "shifting" as the block falls. The issue is that this code is specifically related to the "Data" object and when I duplicate the symbol it names it "Data_1" which obviously doesn't shift randomly. The goal is to have this expandable to have dozens of these rectangles at once, so Ideally I'd like to find a way to create new ones programmatically that each have individualized behavior so my timeline isn't so busy.
I'm having trouble with some of my animations. Althought they all work fine (there currently 4 individual animations based around click and play symbols) and the positions are correct on the stage, when I preview them or publish them, some of the symbols shift to a completely irrelevant position for no dicernable reason. When clicked, the animations all take place in the correct position and remain there.
is there a way to explode a sketched symbol??? what i would like to do is place a sketched symbol with text from a custom iproperty, once placed it loses the link to the custom iproperty and is just dumb text.
I have imported a sketched symbol of 3rd Angle Projection symbol, however, it changes the centrelines to normal lines when placed in the template. Is there away round this problem?
While editing and updating my idw drawing, somehow a sketched symbol disappeared. I really don't care about that. But this sketched symbol had a hatch in it (a fill actually) and this fill seam to be painted on my drawing right now. I can't select it, so i can't delete it. The only way it vanishes, is when i delete the whole view, with all of the dimensioning etc. i put on it. Anyway got a clue how to delete this hatch without deleting my view?
Adding a leader by checking a box when inserting a sketched symbol. My problem is regarding the leader start point. Can we change the justification of the leader or text, so it does not finish centered on my text? I want the leader to connect outside the text box to correspond to our presentation standards.
I have a symbol that gets placed in a certian location on a sheet. If the sheet changes size i would like the symbol to relocate itself. Usually i could just find it, delete it and replace it but this one is different. It has 16 prompted entries that may have been populated by the user.
Easy option=Be able to move the symbol.
Difficult option=Load 16 prompted entries into the a dynamic array and replace save the symbol in the new location.
I did some reading on attributes, would adding an attribute to the sheet location allow the symbol to move with it.
I have created a sketched symbol for use in a drawing and inserted the symbol into my drawing. My user defined symbol appears in the symbols list but I cannot seem to delete it. How do I now delete this user defined sketch symbol from my drawing?
Product Design Suite Ultimate 2013 64-bit HP Z400, Intel Xeon W3550 3.07GHz 12.0GB RAM, ATI FirePro V4800 (FireGL) Anthony Goodwin ~ Cad Manager/Senior Designer Autodesk Inventor Professional 2013 SP2 64-Bit Edition Windows 7 HP Z400, Intel Xeon W3550 3.07GHz 12.0GB RAM, ATI FirePro V4800 (FireGL)
I would like to use a multi-value custom iProperty 'item_finish' in the part or assembly model to drive an iLogic rule.
'item_finish' would be 1-24 from the list.
The part file would have an embedded spreadsheet with column A corresponding to the 'item_finish'.
The spreadsheet would have column B containg long text descriptions of the finish process.
The ilogic rule must take the 'item_finish' number, find the corresponding row and then return the B column cell text to a user parameter 'defined_finish'.
The 'defined_finish' parameter can be called in a sketched symbol to describe the finish.
It appears this is all possible, but I cannot find enough information describing the snipped code requiremnets to accomplish the goal.
I am trying to create a sketched symbol on the fly that has custom properties in it. I am also creating the custom properties on the fly. I need to get the actual expression for the property into the sketched symbol not just a value. I need this so that I can export the drawing as an autocad .dwg that has attributes in it.
Why is it that when I create a dimension across geometry the dimension shows true, yet if I create sketched geometry in the drawing view it does not?
What I need to do is create an arc of swing for a door. So I create a sketched arc and then want to dimension the arc radius of the door, yet the dimension shows not true. How do I make it true? And why can't I snap to model geometry in the drawing view?
How can I delete one Sketched Symbol from my Drawing ? It wont be in use in any sheet, i just need to delete it and the recreate with my code, so by this way the symbol is updated.
The other part of the code is created already, just need this part to delete. I found some ways but just delete the symbol from the sheet, not the source symbol. How can i delete it then ?
I trying to insert a symbol with a leader but i have a error message after de step 6, with this code?
the code
' Set a reference to the drawing document. ' This assumes a drawing document is active. Dim oDrawDoc As DrawingDocument oDrawDoc = ThisApplication.ActiveDocument [code]......
On a multi page drawing, I want a sketched symbol to placed on a upper right hand side, “For BOM, see Sheet: X” to be placed on every sheet except the sheet where the parts list available on the drawings. Also the Sketched symbol prompted entry automatically filled up with the sheet number (Parts list page).
Is there a way to invert my selection so that I can subtract or extrude the circles instead of the area around them? As is now, I have to select every circle to subtract them from the shape.
Why does a sketched symbol have a SetColor function even though it doesn't do anything? For example, this is "legal" code, but it won't do anything.
oSymbol.Color.SetColor(255,0,0); On the other hand, this is the proper method to set the color of a sketched symbol (I could not find this anywhere in the api) oSymbol.Color = _mInventorApplication.TransientObjects.CreateColor(255, 0, 0);
I'm using two small (JPG)images in a sketched symbol. But when I place the sketched symbol on a drawing, with another scale than 1 : 1, the images won't scale with it. For example, the images will remain outside the sketched symbol when scale is 1 : 2.
How can I make sure the images inside the sketched symbol scale with the symbol?
Product Design Suite 2014 Inventor 2014, Vault 2014 HP Workstation Z220 Intel Xeon 3.4GHz 16GB RAM Nvidia Quadro 4000 Windows 7 Professional (64bit)
We have created 100's of drawings with inserted sketched symbols that has text which has been formatted with the font RomanS. Now that we have switched to DWF published documents, the font prints very light compared to Tahoma.
I was able to obtain all the text styles programatically and update the style to Tahoma. Unfortunately, updating the style does not effect text becuase the text was originally overriden to not use a text style.
Is there anyway via API to update the text in a sketched symbol to point it back to a Text Style?
Is it possible to attach a sketched symbol to a leader note? I tried the following code, but an error occurs in the line adding the sketchedsymbol. The geometry intent, which seems to be created correct, isn't a valid input for the sketched symbol.
Private Sub AttachSketchedSymbolToLeaderNote()Dim oDrawDoc As DrawingDocumentSet oDrawDoc = ThisApplication.ActiveDocumentDim oLeaderNote As LeaderNoteSet oLeaderNote = oDrawDoc.ActiveSheet.DrawingNotes.LeaderNotes.Item(1)Dim oSketchedSymbolDef As SketchedSymbolDefinitionSet [Code] ........